# Jaxer.Log.CoreAppender : Object
Return to: Jaxer Framework index

Appends log messages to the same file as the Jaxer core.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.Log.CoreAppender Constructor(String name, Jaxer.Log.Level level, Object coreTraceMethods, Function coreTraceBefore, Function coreTraceAfter) : Jaxer.Log.CoreAppender Create an instance of the Core appender -- appends log messages to the same file as the Jaxer core (Advanced) | Show Details | 1.0 | no

### Jaxer.Log.CoreAppender(String name, Jaxer.Log.Level level, Object coreTraceMethods, Function coreTraceBefore, Function coreTraceAfter) : Jaxer.Log.CoreAppender

Create an instance of the Core appender -- appends log messages to the same file as the Jaxer core
(Advanced)

Parameters

String | name | The name to use to identify this appender
Jaxer.Log.Level | level | The level to start this appender at -- messages below this will not be appended
Object | coreTraceMethods | The hashtable of core trace methods that this should invoke
Function | coreTraceBefore | The core function to call before calling any core method -- it will turn on logging regardless of the core's settings
Function | coreTraceAfter | The core function to call after calling any core method -- it will restore using the core's log settings

Returns

Jaxer.Log.CoreAppender | Returns an instance of CoreAppender.

Visibility
  advanced

aptana_docs